unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCLTee.TeEngine, VCLTee.TeeTools,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Chart2: TChart;
    Series1: TPointSeries;
    Series2: TLineSeries;
    NearestTool2: TNearestTool;
    Label1: TLabel;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Chart2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
    procedure Chart2GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
      var MarkText: String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Current: Integer = -1;

implementation

{$R *.dfm}

procedure TForm1.Chart2GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
  var MarkText: String);
begin
  if (ValueIndex <> Current) then
    MarkText := ''
end;

procedure TForm1.Chart2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var tmp: integer;
begin
  if ssshift in Shift then
  begin
    tmp := TChart(sender).Series[0].Clicked(X,Y);
    if tmp <> -1 then
    begin
      Current := tmp;
      Label1.Caption := TChart(sender).Series[0].Labels[tmp]
    end
    else
    Current := -1;

    TChart(sender).Series[0].Repaint;
  end

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart2.Series[0].Marks.Visible := true;
  Chart2.Series[0].OnGetMarkText := Chart2GetMarkText;
end;

procedure TForm1.FormShow(Sender: TObject);
var i: integer;
begin
  chart2.Series[0].FillSampleValues(2000);
  for I := 0 to chart2.Series[0].Count - 1 do
    chart2.Series[0].Labels[i] := floattostr(random);
end;

end.
